#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        KProperty is a property editing framework with editor widget similar to what is known from Qt Designer
Name:           kproperty
Version: 3.0.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/kproperty/src/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)

%description
KProperty is a property editing framework with editor widget similar to what is known from Qt Designer

%files -f %{name}_qt.lang
%_kf5_datadir/kpropertywidgets3/icons/kproperty_breeze.rcc

#------------------------------------------------------------------------------

%define kpropertycore_major 3
%define libkpropertycore %mklibname kpropertycore %{kpropertycore_major}

%package -n %libkpropertycore
Summary:      KProperty is a property editing framework with editor widget similar to what is known from Qt Designer
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkpropertycore
KProperty is a property editing framework with editor widget similar to what is known from Qt Designer

%files -n %libkpropertycore
%_kf5_libdir/libKPropertyCore3.so.%{kpropertycore_major}{,.*}

#------------------------------------------------------------------------------

%define kpropertywidgets_major 3
%define libkpropertywidgets %mklibname kpropertywidgets %{kpropertywidgets_major}

%package -n %libkpropertywidgets
Summary:      KProperty is a property editing framework with editor widget similar to what is known from Qt Designer
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkpropertywidgets
KProperty is a property editing framework with editor widget similar to what is known from Qt Designer.

%files -n %libkpropertywidgets
%_kf5_libdir/libKPropertyWidgets3.so.%{kpropertywidgets_major}{,.*}

#--------------------------------------------------------------------

%define kproperty_devel %mklibname kpropertycore -d

%package -n %kproperty_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkpropertycore = %version-%release
Requires:       %libkpropertywidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kproperty_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kproperty_devel
%{_includedir}/*
%_kf5_libdir/cmake/KPropertyCore3
%_kf5_libdir/cmake/KPropertyWidgets3
%_kf5_libdir/*.so
%_kf5_libdir/pkgconfig/*.pc

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name}_qt


%changelog
* Mon Dec 19 2016 neoclust <neoclust> 3.0.0-2.mga6
+ Revision: 1076112
- Fix requires in the devel package

* Mon Dec 19 2016 neoclust <neoclust> 3.0.0-1.mga6
+ Revision: 1076102
- imported package kproperty

